﻿using System;
using System.Diagnostics;

namespace SpaceInvaders
{
    public abstract class Aliens : Leaf
    {
        //-------------------------------------------------------------------
        //  FIELDS
        //-------------------------------------------------------------------

        public enum AlienType
        {
            Crab,
            Squid,
            Octopus,
            UFO,
            Grid,
            Column
        }


        //-------------------------------------------------------------------
        //  ABSTRACT METHODS
        //-------------------------------------------------------------------

        public abstract int GetPoints();


        //-------------------------------------------------------------------
        //  CONSTRUCTION
        //-------------------------------------------------------------------

        public Aliens(GameObject.ObjectName objName, Sprite.SpriteName spriteName, float x, float y)
            : base(objName, spriteName, x, y)
        { }


        //-------------------------------------------------------------------
        //  PUBLIC METHODS
        //-------------------------------------------------------------------

        public override void Move(float x, float y)
        {
            this.x += x;
            this.y += y;
        }

      
    } // end class

} // end namespace